## airspy-host 0.2.14.f26db23

=== libairspy/src/CMakeLists.txt ===
#
# Copyright (c) 2012, Jared Boone <jared@sharebrained.com>
# Copyright (c) 2013, Michael Ossmann <mike@ossmann.com>
# Copyright (c) 2013, Benjamin Vernoux <bvernoux@airspy.com>
# Copyright (c) 2013, Youssef Touil <youssef@airspy.com>
#
# This file is part of AirSpy (based on HackRF project).
# 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
# 
#     Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
#     Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the 
# 	documentation and/or other materials provided with the distribution.
#     Neither the name of Great Scott Gadgets nor the names of its contributors may be used to endorse or promote products derived from this software
# 	without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Based heavily upon the libftdi cmake setup.

# Targets
set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/airspy.c ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.c  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.c CACHE INTERNAL "List of C sources")
set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/airspy.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.h ${CMAKE_CURRENT_SOURCE_DIR}/filters.h CACHE INTERNAL "List of C headers")

# Dynamic library
add_library(airspy SHARED ${c_sources})
set_target_properties(airspy PROPERTIES VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.0 SOVERSION 0)

# Static library
add_library(airspy-static STATIC ${c_sources})
if(MSVC)
	set_target_properties(airspy-static PROPERTIES OUTPUT_NAME "airspy_static")
else()
	set_target_properties(airspy-static PROPERTIES OUTPUT_NAME "airspy")
endif()

set_target_properties(airspy PROPERTIES CLEAN_DIRECT_OUTPUT 1)
set_target_properties(airspy-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)

# Dependencies
target_link_libraries(airspy ${LIBUSB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
   
# For cygwin just force UNIX OFF and WIN32 ON
if( ${CYGWIN} )
  SET(UNIX OFF)
  SET(WIN32 ON)
endif( ${CYGWIN} )

if( ${UNIX} )
   install(TARGETS airspy
           LIBRARY DESTINATION lib${LIB_SUFFIX}
           COMPONENT sharedlibs
           )
   install(TARGETS airspy-static
           ARCHIVE DESTINATION lib${LIB_SUFFIX}
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include/${PROJECT_NAME}
           COMPONENT headers
           )
endif( ${UNIX} )

if( ${WIN32} )
   install(TARGETS airspy
           DESTINATION bin
           COMPONENT sharedlibs
           )
   install(TARGETS airspy-static
           DESTINATION bin
           COMPONENT staticlibs
           )
   install(FILES ${c_headers}
           DESTINATION include/${PROJECT_NAME}
           COMPONENT headers
           )
endif( ${WIN32} )

=== debian/changelog ===
airspy-host (0.2.14.f26db23-1) unstable; urgency=low

  * New upstream commit - Changed the IQ conversion filters 
    to match the bandwidth of the new R820T2 tuner
  * place airspy in comm archive section (Closes: #751349)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 Jun 2014 20:34:47 -0400

airspy-host (0.2.13.9350af1-1) unstable; urgency=low

  * New package (Closes: #745263)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Apr 2014 20:36:56 -0400

## airspy-host 0.2.22.b4c38a7

=== CMakeLists.txt ===
#top dir cmake project for libairspy + airspy-tools

cmake_minimum_required(VERSION 2.8)
project (airspy_all)

add_subdirectory(libairspy)
add_subdirectory(airspy-tools)

########################################################################
# Create uninstall target
########################################################################

configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== airspy-tools/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013/2014 Benjamin Vernoux
#
# This file is part of AirSpy (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(airspy-tools C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 2)
set(PACKAGE airspy-tools)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
set(CMAKE_C_FLAGS_RELEASE "-O2")
set(CMAKE_BUILD_TYPE Release)

if(MSVC)
include_directories(getopt)
add_definitions(/D _CRT_SECURE_NO_WARNINGS)
else()
add_definitions(-Wall)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
endif()

if(NOT libairspy_SOURCE_DIR)
find_package(LIBAIRSPY REQUIRED)
include_directories(${LIBAIRSPY_INCLUDE_DIR})
else()
include_directories(${libairspy_SOURCE_DIR}/src)
endif()

add_subdirectory(src)

########################################################################
# Create uninstall target
########################################################################

if(NOT airspy_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for AirSpy" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES 52-airspy.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

=== libairspy/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013 Benjamin Vernoux
#
# This file is part of AirSpy (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(libairspy C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 2)
set(PACKAGE libairspy)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
set(CMAKE_C_FLAGS_RELEASE "-O2")
set(CMAKE_BUILD_TYPE Release)

if(MSVC)
	set(THREADS_USE_PTHREADS_WIN32 true)
else()
	add_definitions(-Wall)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

	INCLUDE(TestBigEndian)
	TEST_BIG_ENDIAN(BIGENDIAN)
	if(${BIGENDIAN})
		 add_definitions(-DAIRSPY_BIG_ENDIAN)
	endif(${BIGENDIAN})
endif()
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

include_directories(${LIBUSB_INCLUDE_DIR} ${THREADS_PTHREADS_INCLUDE_DIR})

add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND AIRSPY_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

# use space-separation format for the pc file
STRING(REPLACE ";" " " AIRSPY_PC_CFLAGS "${AIRSPY_PC_CFLAGS}")
STRING(REPLACE ";" " " AIRSPY_PC_LIBS "${AIRSPY_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(AIRSPY_PC_CFLAGS)
    UNSET(AIRSPY_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib)
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libairspy.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libairspy.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libairspy.pc
    DESTINATION lib/pkgconfig
)

########################################################################
# Create uninstall target
########################################################################
if(NOT airspy_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== airspy-tools/src/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013/2014 Benjamin Vernoux
#
# This file is part of AirSpy (based on HackRF project).
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

if(MSVC)
add_library(libgetopt_static STATIC
    ../getopt/getopt.c
)
endif()

add_executable(airspy_si5351c airspy_si5351c.c)
install(TARGETS airspy_si5351c RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspy_r820t airspy_r820t.c)
install(TARGETS airspy_r820t RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspy_spiflash airspy_spiflash.c)
install(TARGETS airspy_spiflash RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspy_info airspy_info.c)
install(TARGETS airspy_info RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(airspy_rx airspy_rx.c)
install(TARGETS airspy_rx RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

if(NOT libairspy_SOURCE_DIR)
include_directories(${LIBAIRSPY_INCLUDE_DIR})
LIST(APPEND TOOLS_LINK_LIBS ${LIBAIRSPY_LIBRARIES})
else()
LIST(APPEND TOOLS_LINK_LIBS airspy)
endif()

if(MSVC)
LIST(APPEND TOOLS_LINK_LIBS libgetopt_static)
endif()

target_link_libraries(airspy_si5351c ${TOOLS_LINK_LIBS})
target_link_libraries(airspy_r820t ${TOOLS_LINK_LIBS})
target_link_libraries(airspy_spiflash ${TOOLS_LINK_LIBS})
target_link_libraries(airspy_info ${TOOLS_LINK_LIBS})
target_link_libraries(airspy_rx ${TOOLS_LINK_LIBS})

=== libairspy/src/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # Targets
 set(c_sources ${CMAKE_CURRENT_SOURCE_DIR}/airspy.c ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.c  ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.c CACHE INTERNAL "List of C sources")
-set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/airspy.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.h ${CMAKE_CURRENT_SOURCE_DIR}/filters.h CACHE INTERNAL "List of C headers")
+set(c_headers ${CMAKE_CURRENT_SOURCE_DIR}/airspy.h ${CMAKE_CURRENT_SOURCE_DIR}/airspy_commands.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_float.h ${CMAKE_CURRENT_SOURCE_DIR}/iqconverter_int16.h ${CMAKE_CURRENT_SOURCE_DIR}/filters.h CACHE INTERNAL "List of C headers")
 
 # Dynamic library
 add_library(airspy SHARED ${c_sources})

=== debian/changelog ===
airspy-host (0.2.22.b4c38a7-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 21 Sep 2014 11:12:22 -0400

airspy-host (0.2.22.b4c38a7-1) unstable; urgency=low

  * New upstream commits
    Merge branch 'master' of https://github.com/airspy/host.git
    Added a two poles BPF for proper roll-off
    Fix for Issue #4 airspy_commands.h is not installed
    Implemented new API airspy_set_samplerate(), airspy_gpio_read(),
     airspy_gpio_write() and airspy_set_rf_bias() only for AirSpy NOS.
    Added a function stub for RF bias (bias-tee, phantom-power)
    Added function stubs for extra hardware sample rates
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2014 10:31:26 -0400

## airspy-host 1.0.6

=== debian/changelog ===
airspy-host (1.0.6-1) unstable; urgency=medium

  * New upstream release
    Added management of multiple devices or using device serial number
    supported in all airspy-tools.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Aug 2015 23:58:39 -0400

=== debian/control ===
Source: airspy-host
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config,
 libusb-1.0-0-dev
Standards-Version: 3.9.6
Homepage: http://airspy.com
Vcs-Git: https://github.com/airspy/host.git
Vcs-Browser: https://github.com/airspy/host

Package: libairspy-dev
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: libairspy0 (= ${binary:Version}), ${misc:Depends}
Description: Tiny and efficient software defined radio receiver
 Airspy is an open source Software Defined Radio that can receive
 between 24 MHz and 1750 MHz. Airspy has a 10 MHz bandwidth.
 12bit ADC @ 20 MSPS (80dB SFDR, 64dB SNR, 10.4 ENOB)
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libairspy0
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Tiny and efficient software defined radio receiver
 Airspy is an open source Software Defined Radio that can receive
 between 24 MHz and 1750 MHz. Airspy has a 10 MHz bandwidth.
 12bit ADC @ 20 MSPS (80dB SFDR, 64dB SNR, 10.4 ENOB)
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.

Package: airspy
Section: comm
Architecture: any
Depends: libairspy0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tiny and efficient software defined radio receiver
 Airspy is an open source Software Defined Radio that can receive
 between 24 MHz and 1750 MHz. Airspy has a 10 MHz bandwidth.
 12bit ADC @ 20 MSPS (80dB SFDR, 64dB SNR, 10.4 ENOB)
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains a set of command line utilities:
  * airspy_cpldjtag: program CLPD
  * airspy_info: probe device and show configuration
  * airspy_max2837: chip register read/write tool
  * airspy_rffc5071: chip register read/write tool
  * airspy_si5351c: chip register read/write tool
  * airspy_spiflash: read and write flash data from file.
  * airspy_transfer: file based transmit and receive sdr

## airspy-host 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,3 +19,20 @@
 add_custom_target(uninstall
     ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 )
+
+########################################################################
+# Copy Files Win32 only
+########################################################################
+
+if(WIN32 AND NOT CMAKE_CROSSCOMPILING)
+ configure_file(
+     ${CMAKE_CURRENT_BINARY_DIR}/../libs_win32/libusb-1.0.dll
+     ${CMAKE_CURRENT_BINARY_DIR}/airspy-tools/src/libusb-1.0.dll
+ COPYONLY)
+
+ configure_file(
+     ${CMAKE_CURRENT_BINARY_DIR}/../libs_win32/pthreadGC2.dll
+     ${CMAKE_CURRENT_BINARY_DIR}/airspy-tools/src/pthreadGC2.dll
+ COPYONLY)
+endif()
+

=== airspy-tools/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
 set(CMAKE_C_FLAGS_RELEASE "-O2")
 set(CMAKE_BUILD_TYPE Release)
+add_definitions(-D_FILE_OFFSET_BITS=64)
 
 if(MSVC)
 include_directories(getopt)

=== libairspy/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright 2012 Jared Boone
-# Copyright 2013 Benjamin Vernoux
+# Copyright 2013/2014 Benjamin Vernoux
 #
 # This file is part of AirSpy (based on HackRF project).
 #
@@ -23,14 +23,45 @@
 
 cmake_minimum_required(VERSION 2.8)
 project(libairspy C)
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 2)
+file(READ ${CMAKE_CURRENT_SOURCE_DIR}/src/airspy.h AIRSPY_H_CONTENTS)
+
+STRING(REGEX MATCH "\#define AIRSPY_VER_MAJOR[ \t]+([0-9]+)" AIRSPY_VER_MJ ${AIRSPY_H_CONTENTS})
+STRING(REGEX MATCH "([0-9]+)" AIRSPY_VER_MJ ${AIRSPY_VER_MJ})
+
+STRING(REGEX MATCH "\#define AIRSPY_VER_MINOR[ \t]+([0-9]+)" AIRSPY_VER_MI ${AIRSPY_H_CONTENTS})
+STRING(REGEX MATCH "([0-9]+)" AIRSPY_VER_MI ${AIRSPY_VER_MI})
+
+STRING(REGEX MATCH "\#define AIRSPY_VER_REVISION[ \t]+([0-9]+)" AIRSPY_VER_RE ${AIRSPY_H_CONTENTS})
+STRING(REGEX MATCH "([0-9]+)" AIRSPY_VER_RE ${AIRSPY_VER_RE})
+
+set(AIRSPY_VER_MAJOR ${AIRSPY_VER_MJ})
+set(AIRSPY_VER_MINOR ${AIRSPY_VER_MI})
+set(AIRSPY_VER_REVISION ${AIRSPY_VER_RE})
+
 set(PACKAGE libairspy)
-set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
+set(VERSION_STRING ${AIRSPY_VER_MAJOR}.${AIRSPY_VER_MINOR})
 set(VERSION ${VERSION_STRING})
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)
 set(CMAKE_C_FLAGS_RELEASE "-O2")
 set(CMAKE_BUILD_TYPE Release)
+
+if(APPLE)
+    set(GR_LIBRARY_DIR "lib")
+    if(NOT CMAKE_INSTALL_NAME_DIR)
+        set(CMAKE_INSTALL_NAME_DIR
+            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
+            PATH "Library Install Name Destination Directory" FORCE)
+    endif(NOT CMAKE_INSTALL_NAME_DIR)
+    if(NOT CMAKE_INSTALL_RPATH)
+        set(CMAKE_INSTALL_RPATH
+            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
+            PATH "Library Install RPath" FORCE)
+    endif(NOT CMAKE_INSTALL_RPATH)
+    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
+        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
+            BOOL "Do Build Using Library Install RPath" FORCE)
+    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
+endif(APPLE)
 
 if(MSVC)
 	set(THREADS_USE_PTHREADS_WIN32 true)
@@ -70,7 +101,7 @@
 
 set(prefix ${CMAKE_INSTALL_PREFIX})
 set(exec_prefix \${prefix})
-set(libdir \${exec_prefix}/lib)
+set(libdir \${exec_prefix}/lib${LIB_SUFFIX})
 set(includedir \${prefix}/include)
 
 CONFIGURE_FILE(
@@ -80,7 +111,7 @@
 
 INSTALL(
     FILES ${CMAKE_CURRENT_BINARY_DIR}/libairspy.pc
-    DESTINATION lib/pkgconfig
+    DESTINATION lib${LIB_SUFFIX}/pkgconfig
 )
 
 ########################################################################

=== debian/changelog ===
airspy-host (1.0.7-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Dec 2015 00:50:54 -0500

airspy-host (1.0.6-4) unstable; urgency=medium

  * Upstream fixes
    On linux check whether a kernel driver is attached t
    Linux moved libusb_detach_kernel_driver before libus
    Support cross compilation via MinGW64
    cmake Use LIB_SUFFIX for libairspy.pc
    fix for repeat of usage message x19
    Added the ability to customize the IQ conversion FIR
    Optimized the IQ conversion code
    Fixed a c p error
    Fix Buffer overflow 30 thanks to Nicolasp38
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 25 Nov 2015 20:33:53 -0500

airspy-host (1.0.6-3) unstable; urgency=medium

  * Lintian fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 19 Nov 2015 19:05:30 -0500

airspy-host (1.0.6-2) unstable; urgency=low

  * add watch file, dh-acc, Vcs-* updates

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 10 Sep 2015 22:56:10 -0400

=== debian/control ===
Source: airspy-host
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake, debhelper (>= 9.0.0~), libusb-1.0-0-dev, pkg-config
Standards-Version: 3.9.6
Homepage: http://airspy.com
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-airspy-host.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-airspy-host.git/

Package: libairspy-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libairspy0 (= ${binary:Version}), ${misc:Depends}
Description: Tiny and efficient software defined radio receiver - development
 Airspy is an open source Software Defined Radio that can receive
 between 24 MHz and 1750 MHz. Airspy has a 10 MHz bandwidth.
 12bit ADC @ 20 MSPS (80dB SFDR, 64dB SNR, 10.4 ENOB)
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libairspy0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Tiny and efficient software defined radio receiver - library
 Airspy is an open source Software Defined Radio that can receive
 between 24 MHz and 1750 MHz. Airspy has a 10 MHz bandwidth.
 12bit ADC @ 20 MSPS (80dB SFDR, 64dB SNR, 10.4 ENOB)
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.

Package: airspy
Section: comm
Architecture: any
Depends: libairspy0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tiny and efficient software defined radio receiver - utilities
 Airspy is an open source Software Defined Radio that can receive
 between 24 MHz and 1750 MHz. Airspy has a 10 MHz bandwidth.
 12bit ADC @ 20 MSPS (80dB SFDR, 64dB SNR, 10.4 ENOB)
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains a set of command line utilities:
  * airspy_cpldjtag: program CLPD
  * airspy_info: probe device and show configuration
  * airspy_max2837: chip register read/write tool
  * airspy_rffc5071: chip register read/write tool
  * airspy_si5351c: chip register read/write tool
  * airspy_spiflash: read and write flash data from file.
  * airspy_transfer: file based transmit and receive sdr

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')

%:
	dh $@ --builddirectory=build

override_dh_auto_configure: debian/libairspy0.udev
	dh_auto_configure --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

debian/libairspy0.udev: airspy-tools/52-airspy.rules
	cp -p airspy-tools/52-airspy.rules debian/libairspy0.udev

get-orig-source:
	git clone https://github.com/airspy/host.git
	cd host && git archive --format=tar --prefix=airspy-host-$(VER)/  $(GITREV) | xz > ../airspy-host_$(VER).orig.tar.xz
	rm -rf host
	tar Jxf airspy-host_$(VER).orig.tar.xz
	- rm -f airspy-host-$(VER)/.travis.yml
	- rm -rf airspy-host-$(VER)/libairspy/vc
	rm airspy-host_$(VER).orig.tar.xz
	tar Jcf airspy-host_$(VER).orig.tar.xz airspy-host-$(VER)
	rm -rf airspy-host-$(VER)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/v$1.tar.gz/ \
  https://github.com/airspy/host/tags .*/v?(\d\S*)\.tar\.gz

## airspy-host 1.0.8

=== debian/changelog ===
airspy-host (1.0.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 May 2016 22:11:37 -0400

airspy-host (1.0.8-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Apr 2016 22:02:56 -0400

airspy-host (1.0.6-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 19:12:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Section: libs
 Priority: extra
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake, debhelper (>= 9.0.0~), libusb-1.0-0-dev, pkg-config
+Build-Depends: cmake,
+               debhelper (>= 9.0.0~),
+               libusb-1.0-0-dev [linux-any],
+               libusb-dev [hurd-i386],
+               libusb2-dev [kfreebsd-any],
+               pkg-config
 Standards-Version: 3.9.6
 Homepage: http://airspy.com
 Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-airspy-host.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
 VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
               | sed -rne 's,^Version: ([^-]+).*,\1,p')
-GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')
+#GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')
+GITREV=v$(VER)
 
 %:
 	dh $@ --builddirectory=build

## airspy-host 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 cmake_minimum_required(VERSION 2.8)
 project (airspy_all)
+
+#provide missing strtoull() for VC11
+if(MSVC11)
+    add_definitions(-Dstrtoull=_strtoui64)
+endif(MSVC11)
 
 add_subdirectory(libairspy)
 add_subdirectory(airspy-tools)
@@ -25,14 +30,18 @@
 ########################################################################
 
 if(WIN32 AND NOT CMAKE_CROSSCOMPILING)
+ if (NOT DEFINED LIBUSB_LIBRARIES)
  configure_file(
      ${CMAKE_CURRENT_BINARY_DIR}/../libs_win32/libusb-1.0.dll
      ${CMAKE_CURRENT_BINARY_DIR}/airspy-tools/src/libusb-1.0.dll
  COPYONLY)
+ endif()
 
+ if (NOT DEFINED THREADS_PTHREADS_WIN32_LIBRARY)
  configure_file(
      ${CMAKE_CURRENT_BINARY_DIR}/../libs_win32/pthreadGC2.dll
      ${CMAKE_CURRENT_BINARY_DIR}/airspy-tools/src/pthreadGC2.dll
  COPYONLY)
+ endif()
 endif()

=== airspy-tools/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,6 @@
 add_definitions(/D _CRT_SECURE_NO_WARNINGS)
 else()
 add_definitions(-Wall)
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
 endif()
 
 if(NOT libairspy_SOURCE_DIR)

=== libairspy/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,6 @@
 	set(THREADS_USE_PTHREADS_WIN32 true)
 else()
 	add_definitions(-Wall)
-	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
 
 	INCLUDE(TestBigEndian)
 	TEST_BIG_ENDIAN(BIGENDIAN)

=== airspy-tools/src/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,15 @@
 )
 endif()
 
+add_executable(airspy_gpio airspy_gpio.c)
+install(TARGETS airspy_gpio RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})
+
+add_executable(airspy_gpiodir airspy_gpiodir.c)
+install(TARGETS airspy_gpiodir RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})
+
+add_executable(airspy_lib_version airspy_lib_version.c)
+install(TARGETS airspy_lib_version RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})
+
 add_executable(airspy_si5351c airspy_si5351c.c)
 install(TARGETS airspy_si5351c RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})
 
@@ -55,6 +64,9 @@
 LIST(APPEND TOOLS_LINK_LIBS libgetopt_static)
 endif()
 
+target_link_libraries(airspy_gpio ${TOOLS_LINK_LIBS})
+target_link_libraries(airspy_gpiodir ${TOOLS_LINK_LIBS})
+target_link_libraries(airspy_lib_version ${TOOLS_LINK_LIBS})
 target_link_libraries(airspy_si5351c ${TOOLS_LINK_LIBS})
 target_link_libraries(airspy_r820t ${TOOLS_LINK_LIBS})
 target_link_libraries(airspy_spiflash ${TOOLS_LINK_LIBS})

=== debian/changelog ===
airspy-host (1.0.9-4) unstable; urgency=medium

  * update to v1.0.9-21-g652fd7f
  * update Standards-Version (no changes)
  * update debian/watch
  * Use TAG+="uaccess" in udev rule

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 17 Dec 2020 19:31:33 -0500

airspy-host (1.0.9-3) unstable; urgency=medium

  * VCS to salsa
  * Fixup AppStream metatdata.xml

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 Apr 2018 22:24:11 -0400

airspy-host (1.0.9-2) unstable; urgency=medium

  * Update to v1.0.9-14-geee8452

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 05 Apr 2018 23:43:33 -0400

airspy-host (1.0.9-1) unstable; urgency=medium

  * New upstream release
  * Allow all console users access via udev, Thanks Petter! (Closes: #840384)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 12 Oct 2016 20:03:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: airspy-host
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
-               libusb-1.0-0-dev [linux-any],
-               libusb-dev [hurd-i386],
+               debhelper-compat (= 13),
+               libusb-1.0-0-dev [!kfreebsd-any],
                libusb2-dev [kfreebsd-any],
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://airspy.com
-Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-airspy-host.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-airspy-host.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-airspy-host
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-airspy-host.git
 
 Package: libairspy-dev
 Section: libdevel
@@ -30,6 +30,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: gr-osmosdr (<< 0.1.4-11),
+        libgnuradio-osmosdr0.1.3 (<< 0.1.4-11),
+        libgnuradio-osmosdr0.1.4 (<< 0.1.4-11)
 Multi-Arch: same
 Description: Tiny and efficient software defined radio receiver - library
  Airspy is an open source Software Defined Radio that can receive

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --builddirectory=build

override_dh_acc:
	- dh_acc
	- cat debian/libairspy-dev/usr/lib/x86_64-linux-gnu/dh-acc/libairspy-dev_1.0.9-1_report.html

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_TYPE=Release

override_dh_makeshlibs:
	dh_makeshlibs -V 'libairspy0 (>= 1.0.9~)'

get-orig-source:
	git clone https://github.com/airspy/host.git
	cd host && git archive --format=tar --prefix=airspy-host-$(VER)/  $(GITREV) | xz > ../airspy-host_$(VER).orig.tar.xz
	rm -rf host
	tar Jxf airspy-host_$(VER).orig.tar.xz
	- rm -f airspy-host-$(VER)/.travis.yml
	- rm -rf airspy-host-$(VER)/libairspy/vc
	rm airspy-host_$(VER).orig.tar.xz
	tar Jcf airspy-host_$(VER).orig.tar.xz airspy-host-$(VER)
	rm -rf airspy-host-$(VER)

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?airspy-host-?(\d[\d.]*)\.tar\.xz%airspy-host_$1.orig.tar.gz%" \
 https://github.com/airspy/host/releases \
 (?:.*?/)v(\d[\d.]*)\.tar\.gz debian uupdate
